#ifndef NEWS_BBC_H
#define NEWS_BBC_H

#include <kfm.h>
#include <kurl.h>
#include <kapp.h>
#include <kmsgbox.h>
#include <kmenubar.h>
#include <ktopwidget.h>
#include <qobject.h>
#include <qwidget.h>
#include <qtimer.h>
#include <qpushbt.h>

#include "News.h"

#define BBCURL "http://tickers.bbc.co.uk/tickerdata/story.dat"

class NewsBBC : public News {
	Q_OBJECT
public:
	NewsBBC();
	void getNews();
	TickerItem* makeItem(char *,char *);
	enum transferDirection {GET, PUT};
public slots:
	void slotKFMJobDone();
private:
	transferDirection ioDir;
	char *filename;
	KFM *kfm;
};

#endif
