#ifndef NEWS_SLASHDOT_H
#define NEWS_SLASHDOT_H

#include <kfm.h>
#include <kurl.h>
#include <kapp.h>
#include <kmsgbox.h>
#include <kmenubar.h>
#include <ktopwidget.h>
#include <qobject.h>
#include <qwidget.h>
#include <qtimer.h>
#include <qpushbt.h>

#include "News.h"

#define SLASHDOTURL "http://slashdot.org/ultramode.txt"

class NewsSlashDot : public News {
	Q_OBJECT
public:
	NewsSlashDot();
	void getNews();
	TickerItem* makeItem(char *,char *);
	enum transferDirection {GET, PUT};
public slots:
	void slotKFMJobDone();
private:
	transferDirection ioDir;
	char *filename;
	KFM *kfm;
};

#endif
